# -*- encoding: utf-8 -*-
# stub: voight_kampff 1.1.3 ruby lib

Gem::Specification.new do |s|
  s.name = "voight_kampff".freeze
  s.version = "1.1.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Adam Crownoble".freeze]
  s.date = "2019-04-09"
  s.description = "Voight-Kampff detects bots, spiders, crawlers and replicants".freeze
  s.email = "adam@codenoble.com".freeze
  s.files = ["Gemfile".freeze, "MIT-LICENSE".freeze, "README.md".freeze, "config".freeze, "config.ru".freeze, "config/crawler-user-agents.json".freeze, "lib".freeze, "lib/tasks".freeze, "lib/tasks/voight_kampff.rake".freeze, "lib/voight_kampff".freeze, "lib/voight_kampff.rb".freeze, "lib/voight_kampff/engine.rb".freeze, "lib/voight_kampff/methods.rb".freeze, "lib/voight_kampff/rack_request.rb".freeze, "lib/voight_kampff/test.rb".freeze, "lib/voight_kampff/version.rb".freeze, "spec".freeze, "spec/controllers".freeze, "spec/controllers/replicants_controller_spec.rb".freeze, "spec/internal".freeze, "spec/internal/app".freeze, "spec/internal/app/controllers".freeze, "spec/internal/app/controllers/replicants_controller.rb".freeze, "spec/internal/config".freeze, "spec/internal/config/routes.rb".freeze, "spec/internal/log".freeze, "spec/internal/public".freeze, "spec/internal/public/favicon.ico".freeze, "spec/lib".freeze, "spec/lib/voight_kampff".freeze, "spec/lib/voight_kampff/rack_request_spec.rb".freeze, "spec/lib/voight_kampff/test_spec.rb".freeze, "spec/lib/voight_kampff_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support".freeze, "spec/support/humans.rb".freeze, "spec/support/replicants.rb".freeze, "voight_kampff.gemspec".freeze]
  s.homepage = "https://github.com/biola/Voight-Kampff".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Voight-Kampff bot detection".freeze
  s.test_files = ["spec".freeze, "spec/controllers".freeze, "spec/controllers/replicants_controller_spec.rb".freeze, "spec/internal".freeze, "spec/internal/app".freeze, "spec/internal/app/controllers".freeze, "spec/internal/app/controllers/replicants_controller.rb".freeze, "spec/internal/config".freeze, "spec/internal/config/routes.rb".freeze, "spec/internal/log".freeze, "spec/internal/public".freeze, "spec/internal/public/favicon.ico".freeze, "spec/lib".freeze, "spec/lib/voight_kampff".freeze, "spec/lib/voight_kampff/rack_request_spec.rb".freeze, "spec/lib/voight_kampff/test_spec.rb".freeze, "spec/lib/voight_kampff_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support".freeze, "spec/support/humans.rb".freeze, "spec/support/replicants.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rack>.freeze, ["< 3.0", ">= 1.4"])
      s.add_development_dependency(%q<rails>.freeze, ["~> 5.0"])
      s.add_development_dependency(%q<rspec-rails>.freeze, ["~> 3.3"])
      s.add_development_dependency(%q<combustion>.freeze, [">= 0.5"])
    else
      s.add_dependency(%q<rack>.freeze, ["< 3.0", ">= 1.4"])
      s.add_dependency(%q<rails>.freeze, ["~> 5.0"])
      s.add_dependency(%q<rspec-rails>.freeze, ["~> 3.3"])
      s.add_dependency(%q<combustion>.freeze, [">= 0.5"])
    end
  else
    s.add_dependency(%q<rack>.freeze, ["< 3.0", ">= 1.4"])
    s.add_dependency(%q<rails>.freeze, ["~> 5.0"])
    s.add_dependency(%q<rspec-rails>.freeze, ["~> 3.3"])
    s.add_dependency(%q<combustion>.freeze, [">= 0.5"])
  end
end
